Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
hotel_info
/
live
/
advanced
Live Google Hotel Info Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hotel_identifier": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "check_in": "<string>",
  "check_out": "<string>",
  "currency": "<string>",
  "adults": 123,
  "children": [
    "<string>"
  ],
  "load_prices_by_dates": true,
  "prices_start_date": "<string>",
  "prices_end_date": "<string>",
  "prices_date_range": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.hotel_identifier": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.title": "<string>",
  "result.stars": 123,
  "result.stars_description": "<string>",
  "result.address": "<string>",
  "result.phone": "<string>",
  "result.about": {},
  "result.description": "<string>",
  "result.sub_descriptions": [
    "<string>"
  ],
  "result.check_in_time": {},
  "result.hour": 123,
  "result.minute": 123,
  "result.check_out_time": {},
  "result.full_address": "<string>",
  "result.domain": "<string>",
  "result.url": "<string>",
  "result.amenities": [
    "<string>"
  ],
  "result.category": "<string>",
  "result.category_label": "<string>",
  "result.items": [
    "<string>"
  ],
  "result.amenity": "<string>",
  "result.amenity_label": "<string>",
  "result.hint": "<string>",
  "result.hint_label": "<string>",
  "result.is_available": true,
  "result.popular_amenities": [
    "<string>"
  ],
  "result.location": {},
  "result.neighborhood": "<string>",
  "result.neighborhood_description": "<string>",
  "result.maps_url": "<string>",
  "result.overall_score": 123,
  "result.score_by_categories": {},
  "result.overall": 123,
  "result.things_to_do": 123,
  "result.restaurants": 123,
  "result.transit": 123,
  "result.airport_access": 123,
  "result.latitude": 123,
  "result.longitude": 123,
  "result.location_chain": [
    "<string>"
  ],
  "result.card_id": "<string>",
  "result.feature_id": "<string>",
  "result.cid": "<string>",
  "result.reviews": {},
  "result.value": 123,
  "result.votes_count": 123,
  "result.mentions": [
    "<string>"
  ],
  "result.positive_score": 123,
  "result.positive_count": 123,
  "result.negative_count": 123,
  "result.total_count": 123,
  "result.visible_by_default": true,
  "result.rating_distribution": {},
  "result.5": 123,
  "result.4": 123,
  "result.3": 123,
  "result.2": 123,
  "result.1": 123,
  "result.other_sites_reviews": [
    "<string>"
  ],
  "result.review_text": "<string>",
  "result.rating": {},
  "result.rating_type": "<string>",
  "result.rating_max": 123,
  "result.overview_images": [
    "<string>"
  ],
  "result.prices": {},
  "result.price": 123,
  "result.price_without_discount": 123,
  "result.currency": "<string>",
  "result.discount_text": "<string>",
  "result.check_in": "<string>",
  "result.check_out": "<string>",
  "result.visitors": 123,
  "result.type": "<string>",
  "result.is_paid": true,
  "result.free_cancellation_until": "<string>",
  "result.offers": [
    "<string>"
  ],
  "result.max_visitors": 123,
  "result.offer_images": [
    "<string>"
  ],
  "result.prices_by_dates": [
    "<string>"
  ],
  "result.check_in_date": "<string>",
  "result.check_out_date": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
hotel_identifier
string
required

unique hotel identifier required field unique identifier of a hotel entity in Google search; you can obtain the value by making a request to Advanced Google SERP API (enclosed in the hotels element of the response), or the Hotel Searches endpoint of Business Data API example: ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE

location_name
string
required

full name of search engine location required field if you don’t specify location_code or location_coordinate if you use this field, you don’t need to specify location_code or location_coordinate you can receive the list of available locations with location_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/locations example: London,England,United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name or location_coordinate if you use this field, you don’t need to specify location_name or location_coordinate you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/google/locations example: 2840

location_coordinate
string
required

GPS coordinates of a location required field if you don’t specify location_name or location_code if you use this field, you don’t need to specify location_name or location_code location_coordinate parameter should be specified in the “latitude, longitude” format the maximum number of decimal digits for “latitude” and “longitude”: 7 Note: if the coordinates are used to set a location, the search will occur in the nearest settlement; example: 53.476225,-2.243572

language_name
string
required

full name of search engine language required field if you don’t specify language_code if you use this field, you don’t need to specify language_code you can receive the list of available languages with language_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages example: English

language_code
string
required

search engine language code required field if you don’t specify language_name if you use this field, you don’t need to specify language_name you can receive the list of available languages with their language_code by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages example: en

check_in
string

check-in date optional field if you don’t specify this field, tomorrow’s date will be used by default; the value must not be earlier than today’s date date format: "yyyy-mm-dd" example: "2019-01-15"

check_out
string

check-out date optional field if you don’t specify this field, our system will apply the date of two days from now by default; Note: the value cannot be less than or equal to check_in; the range between check_in and check_out values cannot exceed 30 days date format: "yyyy-mm-dd" example: "2019-01-15"

currency
string

currency optional field example: "USD"

adults
integer

number of adults optional field if you don’t specify this field, two adults will be used by default example: 1

children
string[]

number and age of children optional field if you don’t specify this field, no children will be included in the search; set the following value if you want to include one 14-years-old child: [14] set the following value if you want to include one 13-years-old child and one 8-years-old child: [13,8]

load_prices_by_dates
boolean

load hotel stay prices by dates optional field if you specify this parameter with true, the response will include the prices_by_dates array with hotel stay prices divided by dates if you use this parameter, you will be charged double the base price for a request

prices_start_date
string

start date to load prices by dates optional field to use this parameter, you must specify load_prices_by_dates with true if this parameter is not specified, the start date is set to check_in date date format: yyyy-mm-dd example: 2025-05-20

prices_end_date
string

end date to load prices by dates optional field to use this parameter, you must specify load_prices_by_dates with true if this parameter is not specified, you will get prices by date for the month date format: yyyy-mm-dd example: 2025-05-21

prices_date_range
string

predefined period for retrieving daily price data optional field to use this parameter, you must specify load_prices_by_dates with true if the prices_start_dateis not specified, the start date is set to check_in date possible values: month, three_months, six_months, year default value: month

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.hotel_identifier
string

identifier received in a POST array this field will contain the hotel_identifier parameter specified when setting a task; example: CgoI-KWyzenM_MV3EAE

result.location_code
integer

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.title
string

title of the price offer

result.stars
integer

hotel class rating class rating that ranges between 1-5 stars and displayed after review ratings in hotel summary

result.stars_description
string

hotel class rating class rating that ranges between 1-5 stars and displayed after review ratings in the hotel summary

result.address
string

hotel address physical address of the hotel

result.phone
string

hotel phone number contact phone number of the hotel

result.about
object

information about the hotel

result.description
string

description of the hotel the description of the hotel entity for which the results are collected

result.sub_descriptions
string[]

additional description of the hotel details about the hotel provided in addition to the description

result.check_in_time
object

hotel check-in time check-in time indicated in the hotel listing

result.hour
integer

check-out hour

result.minute
integer

check-out minute

result.check_out_time
object

hotel check-out time check-out time indicated in the hotel listing

result.full_address
string

full address of the hotel address of the hotel indicated in the standardised format

result.domain
string

third-party domain domain of the third-party website page with pricing information

result.url
string

url of the price offer URL to the page of the website where price offer appears

result.amenities
string[]

hotel amenities information about hotel amenities

result.category
string

standardised category of the ammenity

result.category_label
string

label of the category

result.items
string[]

array of items array containing pricing details from third-party websites; possible item types: hotel_info_price

result.amenity
string

standardised amenity name

result.amenity_label
string

displayed amenity name

result.hint
string

standardised details about the amenity

result.hint_label
string

displayed details about the amenity

result.is_available
boolean

indicates whether the amenity is available in the hotel

hotel amenities information about hotel amenities labelled as “popular”

result.location
object

information about the hotel location information about the location where the hotel is located

result.neighborhood
string

name of the neighborhood where the hotel is located

result.neighborhood_description
string

description of the neighborhood where the hotel is located

result.maps_url
string

url to the location of the hotel in google maps

result.overall_score
number

overall score of the hotel location indicates the overall score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby things to do and restaurants, transportation, and airports; note that the criteria are not weighted equally in the overall score

result.score_by_categories
object

category scores of the hotel location the scores of the hotel’s location tied to the categories that indicate the proximity to nearby things to do, restaurants, transportation, and airports;

result.overall
number

overall score of the hotel location indicates the overall score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby things to do and restaurants, transportation, and airports; note that the criteria are not weighted equally in the overall score

result.things_to_do
number

score relative to nearby things to do indicates the score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby things to do

result.restaurants
number

score relative to nearby restaurants indicates the score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby restaurants

result.transit
number

score relative to nearby transit options indicates the score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby transit options

result.airport_access
number

score relative to nearby airports indicates the score of the hotel’s location in the range from 1 to 5; calculated based on data from the hotel’s proximity to nearby airports

result.latitude
number

hotel latitude latitude coordinates of the hotel’s location example: 39.4806397

result.longitude
number

hotel longitude latitude coordinates of the hotel’s location example: -106.0512973

result.location_chain
string[]

elements of the location chain additional parameters of each element of the location chain

result.card_id
string

card identifier

result.feature_id
string

feature identifier learn more about the identifier in this help center article

result.cid
string

client id learn more about the identifier in this help center article

result.reviews
object

hotel reviews by criteria information about reviews of the hotel entity

result.value
number

rating value value of the rating enclosed in the review possible values: CustomMax – value in the range from 1 to 10 Max5 – value in the range from 1 to 5

result.votes_count
integer

votes count the number of votes enclosed in the review

result.mentions
string[]

hotel mentions information about hotel reviews by criteria

result.positive_score
number

positive score by criterion

result.positive_count
integer

count of positive reviews by criterion

result.negative_count
integer

count of negative reviews by criterion

result.total_count
integer

count of all reviews by criterion

result.visible_by_default
boolean

element is visible by default indicates whether the review element is visible by default

result.rating_distribution
object

rating distribution by votes the distribution of votes across the rating in the range from 1 to 5

result.5
integer

votes for the 5-points rating

result.4
integer

votes for the 4-points rating

result.3
integer

votes for the 3-points rating

result.2
integer

votes for the 2-points rating

result.1
integer

votes for the 1-point rating

result.other_sites_reviews
string[]

reviews on third-party sites reviews from third-paty sites

result.review_text
string

review text text of the review

result.rating
object

rating in the review information about the rating enclosed in the review on a third-party site

result.rating_type
string

rating type the type of rating enclosed in the review possible values: CustomMax, Max5

result.rating_max
integer

maximal value of the rating the maximal value for the rating_type

result.overview_images
string[]

images displayed in the hotel overview array containing URLs to images displayed in the hotel overview

result.prices
object

pricing details of the hotel entity contains information about the hotel’s prices

result.price
integer

price per night the price per night for staying at the hotel on a specific date

result.price_without_discount
integer

price without discount the price of the stay in the hotel per night, with no discount applied

result.currency
string

price currency example: USD

result.discount_text
string

text of the discount

result.check_in
string

check-in date and tine in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.check_out
string

check-out date and tine in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.visitors
integer

number of visitors

result.type
string

type = ‘hotel_info_price_offer’

result.is_paid
boolean

indicates a paid booking link if true, related hotel_info_price item is a hotel ad if false, related hotel_info_price item is a free booking link

result.free_cancellation_until
string

date until free cancellation is available in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” equals null if free cancellation is not available for the selected dates

result.offers
string[]

featured price offers

result.max_visitors
integer

the maximal number of visitors the maximum number of visitors for which the price offer is valid

result.offer_images
string[]

price offer images URLs of the images featured in the price offer

result.prices_by_dates
string[]

array of objects with hotel stay prices by dates

result.check_in_date
string

check-in date in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2025-05-20 12:00:00 +00:00

result.check_out_date
string

check-out date in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2025-05-21 12:00:00 +00:00